Skip to main content
POST
/
v1
/
commentannotations
/
comments
/
add
Add Comments
curl --request POST \
  --url https://api.velt.dev/v1/commentannotations/comments/add \
  --header 'Content-Type: application/json' \
  --header 'x-velt-api-key: <x-velt-api-key>' \
  --header 'x-velt-auth-token: <x-velt-auth-token>' \
  --data '
{
  "data": {
    "organizationId": "<string>",
    "documentId": "<string>",
    "annotationId": "<string>",
    "commentData": [
      {
        "commentId": 123,
        "commentText": "<string>",
        "commentHtml": "<string>",
        "isCommentResolverUsed": true,
        "isCommentTextAvailable": true,
        "from": {},
        "createdAt": 123,
        "lastUpdated": 123,
        "taggedUserContacts": [
          {
            "text": "<string>",
            "userId": "<string>",
            "contact": {
              "email": "<string>",
              "name": "<string>",
              "userId": "<string>"
            }
          }
        ]
      }
    ]
  }
}
'
import requests

url = "https://api.velt.dev/v1/commentannotations/comments/add"

payload = { "data": {
        "organizationId": "<string>",
        "documentId": "<string>",
        "annotationId": "<string>",
        "commentData": [
            {
                "commentId": 123,
                "commentText": "<string>",
                "commentHtml": "<string>",
                "isCommentResolverUsed": True,
                "isCommentTextAvailable": True,
                "from": {},
                "createdAt": 123,
                "lastUpdated": 123,
                "taggedUserContacts": [
                    {
                        "text": "<string>",
                        "userId": "<string>",
                        "contact": {
                            "email": "<string>",
                            "name": "<string>",
                            "userId": "<string>"
                        }
                    }
                ]
            }
        ]
    } }
headers = {
    "x-velt-api-key": "<x-velt-api-key>",
    "x-velt-auth-token": "<x-velt-auth-token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
  method: 'POST',
  headers: {
    'x-velt-api-key': '<x-velt-api-key>',
    'x-velt-auth-token': '<x-velt-auth-token>',
    'Content-Type': 'application/json'
  },
  body: JSON.stringify({
    data: {
      organizationId: '<string>',
      documentId: '<string>',
      annotationId: '<string>',
      commentData: [
        {
          commentId: 123,
          commentText: '<string>',
          commentHtml: '<string>',
          isCommentResolverUsed: true,
          isCommentTextAvailable: true,
          from: {},
          createdAt: 123,
          lastUpdated: 123,
          taggedUserContacts: [
            {
              text: '<string>',
              userId: '<string>',
              contact: {email: '<string>', name: '<string>', userId: '<string>'}
            }
          ]
        }
      ]
    }
  })
};

fetch('https://api.velt.dev/v1/commentannotations/comments/add', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "result": {
    "status": "success",
    "message": "Comment(s) added successfully.",
    "data": [
      778115
    ]
  }
}
Use this API to add comments within a specific CommentAnnotation.

Endpoint

POST https://api.velt.dev/v1/commentannotations/comments/add

Headers

x-velt-api-key
string
required
Your API key.
x-velt-auth-token
string
required

Body

Params

data
object
required

Example Requests

1. Add comment in a CommentAnnotation by organizationId, documentId, and annotationId

{
  "data": {
    "organizationId": "yourOrganizationId",
    "documentId": "yourDocumentId",
    "annotationId": "yourAnnotationId",
    "commentData": [
      {
        "commentText": "Sample Comment",
        "commentHtml": "<div>Hello</div>",
        "from": {
          "userId": "yourUserId"
        }
      }
    ]
  }
}

Response

Success Response

{
  "result": {
    "status": "success",
    "message": "Comment(s) added successfully.",
    "data": [
      778115
    ]
  }
}

Failure Response

{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
{
  "result": {
    "status": "success",
    "message": "Comment(s) added successfully.",
    "data": [
      778115
    ]
  }
}